{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.xmonad {

  # Paquets
  environment.systemPackages = with pkgs; [
    dmenu
    haskellPackages.xmobar
    trayer
  ];

  # Services
  services.xserver.windowManager.xmonad = {
    enable = true;
    enableContribAndExtras = true;
    extraPackages = haskellPackages: [
      haskellPackages.xmobar
    ];
  };
  environment.variables = {
    _JAVA_AWT_WM_NONREPARENTING = "1";
  };
}
